Subject: rust-analyzer broken after rustc got bumped

From: Steven Roose <[email-masked]>
Date: Thu, 13 Apr 2023 19:35:20 +0100

The Guix version of rust-analyzer that is in rust-apps.scm is somehow 
dependent on rustc 1.60.0 and seems to use it internally to do 
compilation and checks.

Guix recently published rustc v1.65.0 to the repo and after pulling that 
in, many compilations fail with some very strange error message "this 
crate is not compiled for the right Rust version, please recompile with 
version 1.60".

One possible workaround would probably be to instruct rust-analyzer to 
use a different directory to store its artefacts, but that would mean 
building everything twice and keeping two sets of build artifacts which 
can become quite sizable.

It seems that either rust-analyzer should be make 
rustc-version-independent, no idea how that would work, or rust-analyzer 
should be updated alongside rustc whenever possible.